Tenants

Manage SES tenants for isolated email reputation

Tenants provide isolated SES reputation for organizations, ensuring one sender's behavior doesn't affect another.

Create Tenant

POST/v1/send/tenants

Create a new SES tenant with isolated reputation management.

Requires:send:write

Body Parameters

namestringrequired
Tenant name
organizationIdstringrequired
Organization ID
reputationPolicystring
Reputation monitoring policyDefaults to standard
standardstrictnone
Create a tenant
curl -X POST "https://api.do.dev/v1/send/tenants" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
  "name": "my-org",
  "organizationId": "org_abc123",
  "reputationPolicy": "standard"
}'
Response201
{
"id": "tenant_abc123",
"tenantId": "ses-tenant-id",
"name": "my-org",
"configurationSetName": "send-dev-org-abc123",
"reputationPolicy": "standard",
"sendingStatus": "ENABLED"
}

Get Tenant

GET/v1/send/tenants

Get tenant details and sending status.

Requires:send:read